#!/bin/bash

# Check are you root?
echo "****************************************************"
echo "   ShenZhen KTSerial TouchScreen Install"
echo "****************************************************"
echo ""

whoami | egrep "^root$" >/dev/null

if [ $? -ne 0 ]; then
  echo "Warning: You are not root!"
  echo "         Installation Failed!"
  exit
fi

# Check what kind of the X Server is!
if [ -f /var/log/Xorg.0.log ]; then
  PATH_XServerConfig=$(egrep "Using config file" /var/log/Xorg.0.log|cut -d" " -f5|cut -d\" -f2)
  echo "X Window Config is in $PATH_XServerConfig"
  PATH_XServerModule=/usr/lib/xorg/modules
  echo "X Window Module Path is in $PATH_XServerModule"
else
  echo "Warning: Don't know where is your X Server config file."
  echo "         Uninstall Failed!"
  exit
fi

# Start to uninstall
rm -rf /etc/ktsrl

rm -f "$PATH_XServerModule"/input/keetouch_drv.so

rm -f /etc/KT3PointS.cal

sed -i '/"kts" "SendCoreEvents"/d' $PATH_XServerConfig
sed -i '/### Touch Configuration Begin ###/,/### Touch Configuration End ###/d' $PATH_XServerConfig
echo "Removed touch configuration in $PATH_XServerConfig."

echo "Touch Driver Uninstall OK!"

choice=" "
while [ "$choice" != "y" ]; do
echo
echo -n "Do you want to Reboot now? (y/n):"
read choice
echo
case $choice in
      y|Y) echo 'Rebooting...'
           reboot
           echo;;
      n|N) echo 'It is recommaned to reboot after driver uninstalled'
           echo
           break;;
      *) ;;
esac
done

